### Method

# Clutter Actor should_pick

#### Declaration [src]

    gboolean
    clutter_actor_should_pick (
      ClutterActor* self,
      ClutterPickContext* pick_context
    )

#### Description [src]

Should be called inside the implementation of the `Clutter.ActorClass.pick` virtual function in order to check whether the actor should be picked or not.

This function should never be called directly by applications.

#### Parameters

`pick_context`

  Type: `ClutterPickContext`

  A `ClutterPickContext`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the actor should be picked, `FALSE` otherwise.